cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_order_state_by_label \
--header 'Content-Type: application/json' \
--data '
{
"id": 4316,
"jsonrpc": "2.0",
"method": "private/get_order_state_by_label",
"params": {
"currency": "ETH",
"label": "fooBar"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_order_state_by_label"
payload = {
"id": 4316,
"jsonrpc": "2.0",
"method": "private/get_order_state_by_label",
"params": {
"currency": "ETH",
"label": "fooBar"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 4316,
jsonrpc: '2.0',
method: 'private/get_order_state_by_label',
params: {currency: 'ETH', label: 'fooBar'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_order_state_by_label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 4316,
"jsonrpc": "2.0",
"result": [
{
"amount": 37,
"api": false,
"average_price": 118.94,
"creation_timestamp": 1550219749176,
"direction": "sell",
"filled_amount": 37,
"instrument_name": "ETH-PERPETUAL",
"is_liquidation": false,
"is_rebalance": false,
"label": "fooBar",
"last_update_timestamp": 1550219810944,
"max_show": 37,
"order_id": "ETH-331562",
"order_state": "filled",
"order_type": "limit",
"post_only": false,
"price": 118.94,
"reduce_only": false,
"time_in_force": "good_til_cancelled"
}
]
}{
"error": 123,
"jsonrpc": "2.0",
"message": "<string>",
"id": 123
}Trading
private/get_order_state_by_label
Retrieves the state of recent orders that have a specific label. This is useful for tracking orders that share the same label, which is helpful for managing related orders.
Results are filtered by currency and label. The response includes order details such as status, filled amount, remaining amount, and other order properties for all orders with the specified label.
Scope: rat#view or wallet:transactions:read
GET
/
private
/
get_order_state_by_label
cURL
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR user defined label for the order (maximum 64 characters)
Was this page helpful?
⌘I